﻿@model IEnumerable<BlogApplication.Models.Article>

@{
    ViewBag.Title = "View";
}

<h2>Our latest articles</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Author.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PublicationDate)
        </th>
    </tr>

@foreach (var item in Model)
{
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Author.Name)
            </td>
            <td>
                @Html.ActionLink(item.Title, "Details", new {id = item.Id})
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PublicationDate)
            </td>
        </tr>
}
</table>
